%define debug_package %{nil}

Summary:        Git extension for versioning large files
Name:           git-lfs
Version:        3.4.1
Release:        4%{?dist}
License:        MIT
URL:            https://git-lfs.github.com/
Source0:        https://github.com/git-lfs/git-lfs/archive/v%{version}/%{name}-v%{version}.tar.gz
# generate vendor by `make vendor` in source0 unpacked dir, so we can build git-lfs offline.
# source1 must be updated with source0 each time.
Source1:        vendor.tar.gz

Patch0001:      CVE-2025-22870.patch

BuildRequires:  perl-Digest-SHA
BuildRequires:  golang which gettext-devel
BuildRequires:  tar rubygem-asciidoctor
BuildRequires:  git >= 1.8.2

Requires: git >= 1.8.2


%description
Git Large File Storage (LFS) replaces large files such as audio samples,
videos, datasets, and graphics with text pointers inside Git, while
storing the file contents on a remote server like GitHub.com or GitHub
Enterprise.

%prep
%autosetup -a 1 -p1

%build
go build -mod=vendor --buildmode=pie .

%install
install -D git-lfs %{buildroot}%{_bindir}/git-lfs

%post
git lfs install --skip-repo --system

%preun
if [ $1 -eq 0 ] ; then
git lfs uninstall --skip-repo --system
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE.md
%doc README.md
/usr/bin/git-lfs


%changelog
* Tue Mar 25 2025 cunshunxia <cunshunxia@tencent.com> - 3.4.1-4
- fix CVE-2025-22870.

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-2
- Rebuilt for loongarch release

* Thu Mar 21 2024 Upgrade Robot <upbot@opencloudos.org> - 3.4.1-1
- Upgrade to version 3.4.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Yi Lin <nilusyi@tencent.com> - 3.3.0-1
- package init.
